Installa e rimuovi software

4 risposte [Ultimo messaggio]
Ritratto di disegnoarch
disegnoarch
(Geek)
Offline
Geek
Iscritto: 25/04/2006
Messaggi: 105

Ciao a tutti, dopo tante prove mi sono deciso ad installare la 2011 e poi aggiornarla, ma si è inceppato il programma installa e rimuovi software dal CC con questo messaggio:

unable to locate package name (@libfreetype6[) in @provides@freetype2@libfreetype.so.6@libfreetype6 at /usr/lib/perl5/vendor_perl/5.12.3/i386-linux-thread-multi/URPM/Resolve.pm line 1649.
standalone::bug_handler() called from /usr/lib/perl5/vendor_perl/5.12.3/i386-linux-thread-multi/URPM/Resolve.pm:1649
URPM::_choose_best_pkg() called from /usr/lib/perl5/vendor_perl/5.12.3/i386-linux-thread-multi/URPM/Resolve.pm:1697
URPM::__ANON__() called from /usr/lib/perl5/vendor_perl/5.12.3/i386-linux-thread-multi/URPM/Resolve.pm:1729
URPM::request_packages_to_upgrade() called from /usr/lib/perl5/vendor_perl/5.12.3/Rpmdrake/pkg.pm:362
Rpmdrake::pkg::get_updates_list() called from /usr/lib/perl5/vendor_perl/5.12.3/Rpmdrake/pkg.pm:492
Rpmdrake::pkg::get_pkgs() called from /usr/lib/perl5/vendor_perl/5.12.3/Rpmdrake/gui.pm:629
Rpmdrake::gui::pkgs_provider() called from /usr/sbin/rpmdrake:760
main::__ANON__() called from /usr/lib/perl5/vendor_perl/5.12.3/rpmdrake.pm:416
rpmdrake::slow_func() called from /usr/sbin/rpmdrake:760
main::run_treeview_dialog() called from /usr/sbin/rpmdrake:803

Per inviare una segnalazione di bug, clicca sul pulsante Segnalazione.
Si aprirà un browser web su Bugzilla dove troverai un modulo da compilare. Le informazioni mostrate qui sopra verranno inviate a quel server.
Sarebbe utile aggiungere alla tua segnalazione l'output del seguente comando: 'lspcidrake -v'.

C'è qualcuno che abbia avuto una simile sventura ed è riuscito a risolverla?

Ciao Pietro

Ritratto di mandian
mandian
(Geek)
Offline
Geek
Iscritto: 12/07/2009
Messaggi: 180

un problema del genere lo ricordo ... Thinking ... ma è passato un po' di tempo.

Prova l'aggiornamento da riga di comando (loggato come amministratore)

urpmi --auto-updates

e posta il risultato

Inoltre può essere utile sapere quali fonti hai abilitate.

ciao,
mandian

Ritratto di disegnoarch
disegnoarch
(Geek)
Offline
Geek
Iscritto: 25/04/2006
Messaggi: 105

Ciao, ti ringrazio per la risposta che così non mi ha permesso di dimenticarmi di postare la soluzione sul forum.
Infatti, avevo aggiunto, in automatico dal sito "easy urpmi" le fonti PLF e queste o il meccamismo di scaricamento in automatico devono avere un errore, perché quando le ho tolte è andato tutto a posto. In ogni caso ecco la risposta (non c'è la "s" del plurale però nel comendo corretto)

[root@localhost ~]# urpmi --auto-update
il supporto "Main (Official2011.0-1)" risulta già aggiornato
il supporto "Main Updates (Official2011.0-2)" risulta già aggiornato
$MIRRORLIST: media/main/testing/media_info/20121103-004037-synthesis.hdlist.cz
supporto "Main Testing (Official2011.0-3)" aggiornato
il supporto "Main Backports (Official2011.0-4)" risulta già aggiornato
il supporto "Main debug (Official2011.0-5)" risulta già aggiornato
$MIRRORLIST: media/debug_main/updates/media_info/20121103-004107-synthesis.hdlist.cz
supporto "Main Updates debug (Official2011.0-6)" aggiornato
$MIRRORLIST: media/debug_main/testing/media_info/20121103-004110-synthesis.hdlist.cz
supporto "Main Testing debug (Official2011.0-7)" aggiornato
il supporto "Main Backports debug (Official2011.0-8)" risulta già aggiornato
il supporto "Contrib (Official2011.0-9)" risulta già aggiornato
il supporto "Contrib Updates (Official2011.0-10)" risulta già aggiornato
il supporto "Contrib Testing (Official2011.0-11)" risulta già aggiornato
il supporto "Contrib Backports (Official2011.0-12)" risulta già aggiornato
il supporto "Contrib debug (Official2011.0-13)" risulta già aggiornato
il supporto "Contrib Updates debug (Official2011.0-14)" risulta già aggiornato
il supporto "Contrib Testing debug (Official2011.0-15)" risulta già aggiornato
il supporto "Contrib Backports debug (Official2011.0-16)" risulta già aggiornato
il supporto "Non-free (Official2011.0-17)" risulta già aggiornato
il supporto "Non-free Updates (Official2011.0-18)" risulta già aggiornato
il supporto "Non-free Testing (Official2011.0-19)" risulta già aggiornato
il supporto "Non-free Backports (Official2011.0-20)" risulta già aggiornato
il supporto "debug_non-free_release (Official2011.0-21)" risulta già aggiornato
il supporto "debug_non-free_updates (Official2011.0-22)" risulta già aggiornato
il supporto "debug_non-free_testing (Official2011.0-23)" risulta già aggiornato
il supporto "debug_non-free_backports (Official2011.0-24)" risulta già aggiornato
Per soddisfare le dipendenze di "libldb.so.1" serve uno dei seguenti pacchetti:
1- libldb1-1.1.0-1-mdv2011.0.i586: Librerie che implementano il database autonomo di Samba (da installare)
2- libldb-samba1-1.1.6-0.9.2.alpha21-mdv2011.0.i586: Libreria che implementa un'interfaccia simile a LDAP a tdb o LDAP per Samba (da installare)
Quale scegli? (1-2)

Non sono andato vanti per ovvie esigenze di brevità, ma dato che ci sono e questa c'entra con l'installazione, per i drivers nvidia della scheda grafica che non vengono installati "di prima", anzi che ho imparato a non installare "di prima" in quanto sono sempre una incognita come si installano nel modo più sicuro?
Ciao Pietro

Ritratto di disegnoarch
disegnoarch
(Geek)
Offline
Geek
Iscritto: 25/04/2006
Messaggi: 105

Ciao, ti ringrazio per la risposta che così non mi ha permesso di dimenticarmi di postare la soluzione sul forum.
Infatti, avevo aggiunto, in automatico dal sito "easy urpmi" le fonti PLF e queste o il meccamismo di scaricamento in automatico devono avere un errore, perché quando le ho tolte è andato tutto a posto. In ogni caso ecco la risposta (non c'è la "s" del plurale però nel comendo corretto)

[root@localhost ~]# urpmi --auto-update
il supporto "Main (Official2011.0-1)" risulta già aggiornato
il supporto "Main Updates (Official2011.0-2)" risulta già aggiornato
$MIRRORLIST: media/main/testing/media_info/20121103-004037-synthesis.hdlist.cz
supporto "Main Testing (Official2011.0-3)" aggiornato
il supporto "Main Backports (Official2011.0-4)" risulta già aggiornato
il supporto "Main debug (Official2011.0-5)" risulta già aggiornato
$MIRRORLIST: media/debug_main/updates/media_info/20121103-004107-synthesis.hdlist.cz
supporto "Main Updates debug (Official2011.0-6)" aggiornato
$MIRRORLIST: media/debug_main/testing/media_info/20121103-004110-synthesis.hdlist.cz
supporto "Main Testing debug (Official2011.0-7)" aggiornato
il supporto "Main Backports debug (Official2011.0-8)" risulta già aggiornato
il supporto "Contrib (Official2011.0-9)" risulta già aggiornato
il supporto "Contrib Updates (Official2011.0-10)" risulta già aggiornato
il supporto "Contrib Testing (Official2011.0-11)" risulta già aggiornato
il supporto "Contrib Backports (Official2011.0-12)" risulta già aggiornato
il supporto "Contrib debug (Official2011.0-13)" risulta già aggiornato
il supporto "Contrib Updates debug (Official2011.0-14)" risulta già aggiornato
il supporto "Contrib Testing debug (Official2011.0-15)" risulta già aggiornato
il supporto "Contrib Backports debug (Official2011.0-16)" risulta già aggiornato
il supporto "Non-free (Official2011.0-17)" risulta già aggiornato
il supporto "Non-free Updates (Official2011.0-18)" risulta già aggiornato
il supporto "Non-free Testing (Official2011.0-19)" risulta già aggiornato
il supporto "Non-free Backports (Official2011.0-20)" risulta già aggiornato
il supporto "debug_non-free_release (Official2011.0-21)" risulta già aggiornato
il supporto "debug_non-free_updates (Official2011.0-22)" risulta già aggiornato
il supporto "debug_non-free_testing (Official2011.0-23)" risulta già aggiornato
il supporto "debug_non-free_backports (Official2011.0-24)" risulta già aggiornato
Per soddisfare le dipendenze di "libldb.so.1" serve uno dei seguenti pacchetti:
1- libldb1-1.1.0-1-mdv2011.0.i586: Librerie che implementano il database autonomo di Samba (da installare)
2- libldb-samba1-1.1.6-0.9.2.alpha21-mdv2011.0.i586: Libreria che implementa un'interfaccia simile a LDAP a tdb o LDAP per Samba (da installare)
Quale scegli? (1-2)

Non sono andato vanti per ovvie esigenze di brevità, ma dato che ci sono e questa c'entra con l'installazione, per i drivers nvidia della scheda grafica che non vengono installati "di prima", anzi che ho imparato a non installare "di prima" in quanto sono sempre una incognita come si installano nel modo più sicuro?
Ciao Pietro

Ritratto di mandian
mandian
(Geek)
Offline
Geek
Iscritto: 12/07/2009
Messaggi: 180

Citazione:

non c'è la "s" del plurale però nel comando corretto


Scusa, mi era venuto il dubbio ma non ho controllato. Grazie per la correzione.

Dall'output che hai si vede che aggiorna anche le fonti Testing e debug, che ti consiglio di disabilitare. Se vuoi le puoi addirittura rimuovere dalla lista.

Per quanto riguarda i backport dipende da te.

Per quanto riguarda i driver della Nvidia no so se posso esserti di aiuto in quanto cerco di evitare tali schede e se proprio non posso farne a meno utilizzo i noueau, che per l'accelerazione 2d sono più che discreti, in quanto se posso non abilito i repoitory Non-free. Qualche tempo fa mi era comunque capitato di doverli utilizzare ed avevo trovato la procedura nella sezione guide. Con una ricerca rapida ho ritrovato questa, che è un po' datata ma potrebbe ancora funzionare. Il metodo migliore è quello chiamato METODO MANDRIVA. Ovviamente devi abilitare i repo Non-free e cercare il diver adatto per la tua scheda. Il resto (dkmk, sorgenti del kernel, ecc...) è spiegato lì, tenendo conto delle giuste versioni dai pacchetti.

ciao,
mandian

PS. Mi vene in mente che forse (adesso non posso verificare) se provi a configurare la grafica dal centro di controllo dovrebbe avvisarti dell'esistenza dei driver proprietari e permetterti di istallarli automaticamente da lì.